/**
 * Copyright (c) 2012 EBM WebSourcing, 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.admin.api.artifact;

import com.ebmwebsourcing.easycommons.lang.UncheckedException;

public interface ArtifactState {

    public enum State {
        LOADED("Loaded"),
        STARTED("Started"),
        STOPPED("Stopped"),
        SHUTDOWN("Shutdown"),
        UNKNOWN("Unknown");

        private final String value;

        private State(final String value) {
            this.value = value;
        }

        public static final State fromStringValue(final String stringValue) {
            for (final State state : State.values()) {
                if (stringValue.equals(state.value)) {
                    return state;
                }
            }
            throw new UncheckedException(String.format("Unknown state for value '%s'", stringValue));
        }

        @Override
        public String toString() {
            return this.value;
        }

    }

    public State getState();

    public void setState(State state);
}
