/**
 * Copyright (c) 2012 EBM WebSourcing, 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.admin.api.artifact;

/**
 * 
 * @author "Mathieu CARROLLE - EBM WebSourcing"
 * 
 */
public class ServiceUnit extends Artifact {

    public static final String TYPE = "SU";

    private String targetComponentName;

    public ServiceUnit(String name, String targetComponentName) {
        super(name, TYPE);
        this.targetComponentName = targetComponentName;
    }

    public String getTargetComponent() {
        return this.targetComponentName;
    }

    @Override
    public ServiceUnit copy() {
        return new ServiceUnit(this.getName(), this.targetComponentName);
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = super.hashCode();
        result = prime * result + ((targetComponentName == null) ? 0 : targetComponentName.hashCode());
        return result;
    }

    @Override
    public boolean equals(Object obj) {
        if (this == obj)
            return true;
        if (!super.equals(obj))
            return false;
        if (getClass() != obj.getClass())
            return false;
        ServiceUnit other = (ServiceUnit) obj;
        if (targetComponentName == null) {
            if (other.targetComponentName != null)
                return false;
        } else if (!targetComponentName.equals(other.targetComponentName))
            return false;
        return true;
    }
}
