/**
 * Copyright (c) 2014-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.admin.api.artifact.exception;

import java.net.URL;

/**
 * The artifact name is missing in the JBI decriptor of the ZIP archive
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class ArtifactNameMissingInJBIDescriptorException extends InvalidZipArchiveException {

    private static final long serialVersionUID = 983561129635469426L;

    private static final String MESSAGE_PATTERN = "The artifact name is missing in the JBI descriptor of the ZIP archive '%s'.";

    /**
     * @param zipArchive
     *            The ZIP archive in which the artifact name is missing in the JBI descriptor
     */
    public ArtifactNameMissingInJBIDescriptorException(final URL zipArchive) {
        super(String.format(MESSAGE_PATTERN, zipArchive.toString()), zipArchive);
    }

}
