/**
 * Copyright (c) 2014-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.admin.api.artifact.exception;

import java.net.URL;

/**
 * The HTTP response code is not "OK".
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class HttpCodeNotOkException extends HttpRemoteArtifactException {

    private static final long serialVersionUID = -480690472513980916L;

    private static final String MESSAGE_PATTERN = "Unable to download the remote resource %s [HTTP %d]";

    public HttpCodeNotOkException(final URL artifactUrl, final int httpResponseCode) {
        super(String.format(MESSAGE_PATTERN, artifactUrl.toExternalForm(), httpResponseCode));
    }

}
