/**
 * Copyright (c) 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.admin.api.exception;

/**
 * An artifact is deployed.
 * 
 * @author Christophe DENEUX - Linagora
 */
public class ArtifactDeployedException extends ArtifactAdministrationException {
    
    /**
     * 
     */
    private static final long serialVersionUID = 6678998767434952251L;

    /**
     * The artifact name
     */
    final private String artifactName;

    /**
     * The artifact current state
     */
    final private String artifactState;

    public ArtifactDeployedException(final String artifactName, final String artifactState) {
        super("The artifact '" + artifactName + "' is deployed, in state '" + artifactState
                + "'.");
        this.artifactName = artifactName;
        this.artifactState = artifactState;
    }
    
    /**
     * @return The artifact name
     */
    public String getArtifactName() {
        return artifactName;
    }

    /**
     * @return The artifact current state
     */
    public String getArtifactState() {
        return artifactState;
    }
}
