/**
 * Copyright (c) 2015-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.admin.api.exception;

/**
 * Several artifacts match the name, the artifact version MUST be provided to be able to find the right artifact.
 * 
 * @author Christophe DENEUX - Linagora
 */
public class ArtifactVersionIsNeededException extends ArtifactAdministrationException {

    private static final long serialVersionUID = -2035021501232310949L;

    /**
     * The artifact name matching several artifacts.
     */
    private final String name;
    
    public ArtifactVersionIsNeededException(final String name) {
        super(String.format("%s: has not a unique version", name));
        this.name = name;
    }

    /**
     * @return  The artifact name matching several artifacts.
     */
    public String getName() {
        return this.name;
    }
}
