/**
 * Copyright (c) 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.admin.api.exception;

/**
 * The artifact type provided is not supported by the operation.
 * 
 * @author Christophe DENEUX - Linagora
 */
public class UnsupportedArtifactTypeException extends ArtifactAdministrationException {

    private static final long serialVersionUID = -6524693642381743536L;

    /**
     * The unsupported artifact type.
     */
    private final String type;
    
    public UnsupportedArtifactTypeException(final String type) {
        super(String.format("%s: not a valid JBI type", type == null ? "null" : type));
        this.type = type;
    }

    /**
     * @return The unsupported artifact type
     */
    public String getType() {
        return this.type;
    }
}
