/**
 * Copyright (c) 2012 EBM WebSourcing, 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.admin.endpoint;

import java.util.List;

/**
 * 
 * @author Nicolas Oddoux - EBM WebSourcing
 */
public class Endpoint {

    public enum EndpointType {INTERNAL,EXTERNAL}
    
    private final String endpointName;
    
    private final EndpointType endpointType;

    private final String containerName;
    
    private final String componentName;
    
    private final String serviceName;
    
    private final List<String> interfaceNames;

    public Endpoint(String endpointName, EndpointType endpointType, String containerName, String componentName, String serviceName,
            List<String> interfaceNames) {
        assert endpointName != null;
        assert endpointType != null;
        assert containerName != null;
        assert componentName != null;
        assert serviceName != null;
        assert interfaceNames != null;
      
        this.endpointName = endpointName;
        this.endpointType = endpointType;
        this.containerName = containerName;
        this.componentName = componentName;
        this.serviceName = serviceName;
        this.interfaceNames = interfaceNames;
    }
    
    public String getEndpointName() {
        return endpointName;
    }
    
    public EndpointType getEndpointType() {
        return endpointType;
    }

    public String getContainerName() {
        return containerName;
    }

    public String getComponentName() {
        return componentName;
    }

    public String getServiceName() {
        return serviceName;
    }

    public List<String> getInterfaceNames() {
        return interfaceNames;
    }
}
