/**
 * Copyright (c) 2012 EBM WebSourcing, 2012-2017 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.admin.api.artifact;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.assertTrue;

import java.io.IOException;
import java.net.URISyntaxException;
import java.util.zip.ZipException;

import org.junit.Test;

public class ArtifactTest extends AbstractArtifactTest {

    @Test
    public void testEqualsMethod() throws ZipException, ArtifactException, IOException,
            URISyntaxException {

        Artifact a1 = ArtifactUtils.createArtifact(this
                .createArtifactURL(ArtifactUtilsTest.BC_JBI));

        Artifact a2 = ArtifactUtils.createArtifact(this
                .createArtifactURL(ArtifactUtilsTest.BC_JBI));
        assertTrue(a1.equals(a2));
    }
    
    @Test
    public void testHashCodeMethod() throws ZipException, ArtifactException, IOException,
            URISyntaxException {

        Artifact a1 = ArtifactUtils.createArtifact(this
                .createArtifactURL(ArtifactUtilsTest.BC_JBI));

        Artifact a2 = ArtifactUtils.createArtifact(this
                .createArtifactURL(ArtifactUtilsTest.BC_JBI));
        assertEquals(a1.hashCode(),a2.hashCode());
    }
}
